/*!\file
 * \brief           .
 *
 * Copyright(C)   , 2017
 * Copyright(C)     
 *   .
 *
 *  ,    ,    
 *  ,       
 *  " ".     " " 
 *  - , " "    , 
 *   ,      , 
 *         . 
 *  " "       
 *  ,       ,  , 
 *      ,  - . 
 *  " "         
 *   .  " "     
 *   ,        
 *     .
 *
 *   , ,      
 *       " "  
 *       ,  , 
 *         
 * " ".         .
 */

#include "mem_test.h"


/**
 * \brief  
 *
 *     
 *  
 *   ,  MRAM, SRAM     X29.
 *      :
 *      reg1_ce:
 *      0 -    gpio (  gpio  !)
 *	gpio1  -  mram
 *	gpio5  sram
 *
 *
 *     4- :
 *                    -   
 *                    - -
 *                    - -
 *                    - -  
 *       
 *      .
 *          Workspace: 
 *                      - periph_mem_test_ram -    
 */  
int main()
{   
    Answer* common_out = (Answer*)0x2001EC00;
    SystemInit();                                                               //   
    clockInit();                                                                //   
    DBG_UART_Init();                                                            //  UART  
    gpioInit();                                                                 //  GPIO
    
    *(uint32_t*)0xA0000004=0x3C;
    
    common_out->ErrorFlag=0;
    common_out->finishFlag=0;
    uint32_t err=0;
        uint32_t err2=0;
              uint32_t err3=0;
              uint32_t err4=0;
              uint32_t err5=0;
              uint32_t err6=0;
              uint32_t err7=0;
#ifndef EXT      
    TestPage(common_out);
    Mem_Test(); 
#else 

          
    uint32_t er = Test_inner(&err,&err2,&err3,&err4,&err5,&err6,&err7,common_out);

    PRINT("IN_MEMMORY TEST RESULTS\n  = %d",err);
    PRINT("     1,  = %d ",err2);
    PRINT("     1,  ECC ( 20 ) = %d ",err3);
    PRINT("     way1  = %d",err4);
    PRINT("     way1   crc ( 18 ) = %d",err5);
    PRINT("     2,  = %d ",err6);
    PRINT("     2,  ECC ( 20 ) = %d",err7);
#endif   
        common_out->finishFlag=1;

    while(1) 
    {
         DBG_TX_Process();                                                       //  ,    ,   UART
    }
}
