/*!\file
 * \brief         .
 *
 * Copyright(C)   , 2017
 * Copyright(C)     
 *   .
 *
 *  ,    ,    
 *  ,       
 *  " ".     " " 
 *  - , " "    , 
 *   ,      , 
 *         . 
 *  " "       
 *  ,       ,  , 
 *      ,  - . 
 *  " "         
 *   .  " "     
 *   ,        
 *     .
 *
 *   , ,      
 *       " "  
 *       ,  , 
 *         
 * " ".         .
 */
#include "timer.h"


/**
 * @brief	 
 * @param	pTIMER	:      
 */
void TIMER_Enable(TIMER_T* pTIMER)
{
    pTIMER->CTRL |= (uint32_t)(1<<0);
}

/**
 * @brief	 
 * @param	pTIMER	:      
 */
void TIMER_Disable(TIMER_T* pTIMER)
{
     pTIMER->CTRL &= (~TIMER_CTRL_INT_EN); 
     pTIMER->CTRL &= (~((uint32_t)(1<<0))); 
}

/**
 * @brief	   
 * @param	pTIMER	:      
 */
void TIMER_IntEnable(TIMER_T* pTIMER)
{
    pTIMER->CTRL |= TIMER_CTRL_INT_EN;
}

/**
 * @brief	   
 * @param	pTIMER	:      
 */
void TIMER_IntDisable(TIMER_T* pTIMER)
{
    pTIMER->CTRL &= ~TIMER_CTRL_INT_EN;
}

/**
 * @brief	   
 * @param	pTIMER	:      
 * @return	  
 */
uint32_t TIMER_GetValue(TIMER_T* pTIMER)
{
    return pTIMER->VALUE;
}

/**
 * @brief	   
 * @param	pTIMER	:      
 * @param	value	: ,   
 */
void TIMER_SetValue(TIMER_T* pTIMER, uint32_t value)
{
    pTIMER->RELOAD = value;
    pTIMER->VALUE = value;
}

/**
 * @brief	   
 * @param	pTIMER	:      
 */
void TIMER_IntClr(TIMER_T* pTIMER)
{
    pTIMER->INTCLEAR =1;
}



